Package ru.bitel.bgbilling.kernel.contract.balance.common.bean

# Class PaymentTypeItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.balance.common.bean.BalanceBaseType
ru.bitel.bgbilling.kernel.contract.balance.common.bean.PaymentType
ru.bitel.bgbilling.kernel.contract.balance.common.bean.AbstractPaymentTypes<PaymentTypeItem>
ru.bitel.bgbilling.kernel.contract.balance.common.bean.PaymentTypeItem

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`, `TreeNode<PaymentTypeItem>`

public class PaymentTypeItem extends AbstractPaymentTypes<PaymentTypeItem>

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.bgbilling.kernel.contract.balance.common.bean.PaymentType

  `PaymentType.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.contract.balance.common.bean.BalanceBaseType

  `editable, parentId, type, TYPE_ALL, TYPE_BRANCH, TYPE_EDITABLE, TYPE_LEAF, TYPE_UNEDITABLE`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PaymentTypeItem()`
  `PaymentTypeItem(BalanceBaseType payment)`

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.balance.common.bean.AbstractPaymentTypes

  `addChild, findCodePath, getChildren, isEmpty, removeChild, setChildren, sortByTitle, sortChildren`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.balance.common.bean.PaymentType

  `builder`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.balance.common.bean.BalanceBaseType

  `getEditable, getParentId, getType, setEditable, setParentId, setType`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### PaymentTypeItem

    public PaymentTypeItem()

  - ### PaymentTypeItem

    public PaymentTypeItem(BalanceBaseType payment)